<?php

/**
 * Contao Open Source CMS
 * 
 * Copyright (C) 2005-2013 Leo Feyer
 * 
 * @copyright	Tim Gatzky 2019
 * @author		Tim Gatzky <info@tim-gatzky.de>
 * @package		pct_autogrid
 * @link		http://contao.org
 */

/**
 * Namespace
 */
namespace PCT\AutoGrid\Backend;


/**
 * Class file
 * TableModule
 */
class TableModule extends \Contao\Backend
{
	/**
	 * Modify the DCA
	 * @param object
	 * 
	 * called from onload_callback
	 */
	public function modifyDCA($objDC)
	{
		if( $objDC->activeRecord === null )
		{
			$objDC->activeRecord = \Contao\ModuleModel::findByPk($objDC->id);
		}
		
		// margin fields
		foreach ($GLOBALS['TL_DCA'][$objDC->table]['palettes'] as $k => $v) 
		{
			if( $k == '__selector__' )
			{
				continue;
			}
			// inject after cssID field
			$GLOBALS['TL_DCA'][$objDC->table]['palettes'][$k] = str_replace('cssID', 'cssID,margin_t,margin_b,margin_t_m,margin_b_m,', $GLOBALS['TL_DCA'][$objDC->table]['palettes'][$k]);
		}
	}
}