<?php

/**
 * Contao Open Source CMS
 * 
 * Copyright (C) 2005-2013 Leo Feyer
 * 
 * @copyright	Tim Gatzky 2019
 * @author		Tim Gatzky <info@tim-gatzky.de>
 * @package		pct_autogrid
 * @link		http://contao.org
 */

/**
 * Namespace
 */
namespace PCT\AutoGrid;


/**
 * Class file
 * Controller
 */
class Controller extends \Contao\Controller
{
	/**
	 * Update the references
	 * @param array
	 * @return array
	 */
	public static function updateElementsWithIdentifyier($strTable, $arrElements)
	{
		$objDatabase = \Contao\Database::getInstance();
		$processed = array();
		$updated = array();
		foreach($arrElements as $type => $arrIds)
		{
			if(in_array($type, $processed))
			{
				continue;
			}
			
			$k = str_replace('Start','Stop',$type);
			$arrStops = $arrElements[$k];
			foreach($arrIds as $i => $id)
			{
				$start = $id;
				$stop = $arrStops[$i];
				$ident = $start;
				// flag start and stop with identifyer
				$objDatabase->prepare("UPDATE ".$strTable." %s WHERE id=?")->set( array('autogrid_id'=>$ident) )->execute($start);
				$objDatabase->prepare("UPDATE ".$strTable." %s WHERE id=?")->set( array('autogrid_id'=>$ident) )->execute($stop);
				
				$updated[] = $start;
				$updated[] = $stop;
			}
			
			// remove stops of sibling type
			unset($arrElements[$k]);
			// mark type as being processed
			$processed[] = $type;
			$processed[] = $k;
		}
		
		return $updated;
	}
}