<?php

/**
 * Contao Open Source CMS
 * 
 * Copyright (C) 2005-2013 Leo Feyer
 * 
 * @copyright	Tim Gatzky 2013
 * @author		Tim Gatzky <info@tim-gatzky.de>
 * @package		pct_iconpicker
 * @link		http://contao.org
 */

/**
 * Constants
 */
define('PCT_ICONPICKER_VERSION', '2.2.1');

/**
 * Back end form fields
 */
$GLOBALS['BE_FFL']['iconPicker']						= 'PCT\IconPicker\IconPickerWidget';

/**
 * Front end form fields
 */
$GLOBALS['TL_FFL']['submit']     						= 'PCT\IconPicker\FormSubmit';

/**
 * Hooks
 */
$GLOBALS['TL_HOOKS']['getContentElement'][] 			= array('PCT\IconPicker\IconPicker', 'getContentElementCallback');
$GLOBALS['TL_HOOKS']['loadFormField'][] 				= array('PCT\IconPicker\IconPicker', 'loadFormFieldCallback');
$GLOBALS['CUSTOMELEMENTS_HOOKS']['renderAttribute'][] 	= array('PCT\IconPicker\IconPicker', 'renderAttributeCallback');
$GLOBALS['TL_HOOKS']['generatePage']['iconpicker']		= array('PCT\IconPicker\IconPicker', 'addStyleSheetsToPage');
$GLOBALS['TL_HOOKS']['replaceInsertTags'][] 			= array('PCT\IconPicker\IconPicker', 'replaceTags');

/**
 * Globals
 */
$GLOBALS['PCT_ICONPICKER']['cteIgnoreList']				= array('html'); // content element blacklist
$GLOBALS['PCT_ICONPICKER']['fflIgnoreList']				= array(); // form field blacklist
$GLOBALS['PCT_ICONPICKER']['pageIgnoreList']			= array('root','error_403','error_404'); // page type blacklist
$GLOBALS['PCT_ICONPICKER']['iconClasses']				= array('.icon-','.fa-');
$GLOBALS['PCT_ICONPICKER']['fontawesomeCDN']			= '//cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css';
$GLOBALS['PCT_ICONPICKER']['fontaweseomeLocal']			= 'system/modules/pct_iconpicker/assets/vendor/font-awesome/4.7.0/css/font-awesome.min.css';

// path to files
$upload_path = 'files';
if(strlen($GLOBALS['TL_CONFIG']['uploadPath']) > 0)
{
	$upload_path = $GLOBALS['TL_CONFIG']['uploadPath'];
}

/**
 * Add an iconpicker attribute
 */
$GLOBALS['PCT_CUSTOMELEMENTS']['ATTRIBUTES']['iconpicker'] = array
(
	'class'		=> 'PCT\IconPicker\AttributeIconPicker',
);