<?php

/**
 * Contao Open Source CMS
 * 
 * Copyright (C) 2005-2013 Leo Feyer
 * 
 * @copyright	Tim Gatzky 2013, Premium Contao Webworks, Premium Contao Themes
 * @author		Tim Gatzky <info@tim-gatzky.de>
 * @package		revolutionslider
 * @link		http://contao.org
 */

/**
 * Namespace
 */
namespace RevolutionSlider\Core;

/**
 * Class file
 * Hooks
 * Provide public callback functions
 */
class Hooks extends \System
{
	/**
	 * Current object instance (Singleton)
	 * @var object
	 */
	protected static $objInstance;
	
	/**
	 * Instantiate this class and return it (Factory)
	 * @return RevolutionSliderHooks
	 * @throws Exception
	 */
	public static function getInstance()
	{
		if (!is_object(self::$objInstance))
		{
			self::$objInstance = new self();
		}

		return self::$objInstance;
	}
	
	/**
	 * Allow other extensions to add slides to a slider
	 * @param array		Current set of slides
	 * @param object	RevolutionSlider
	 * @return array	
	 */
	public function callAddSlideHook($arrSlides, $objSlider)
	{
		if (isset($GLOBALS['RS_HOOKS']['addSlides']) && !empty($GLOBALS['RS_HOOKS']['addSlides']))
		{
			foreach($GLOBALS['RS_HOOKS']['addSlides'] as $callback)
			{
				$arrSlides = \System::importStatic($callback[0])->{$callback[1]}($arrSlides,$objSlider,$this);
			}
		}
		
		return $arrSlides;
	}
}