<?php

/**
 * Contao Open Source CMS
 * 
 * Copyright (C) 2005-2013 Leo Feyer
 * 
 * @copyright	Tim Gatzky 2013, Premium Contao Webworks, Premium Contao Themes
 * @author		Tim Gatzky <info@tim-gatzky.de>
 * @package		revolutionslider
 * @link		http://contao.org
 */


/**
 * Extend default palette
 */
$GLOBALS['TL_DCA']['tl_user']['palettes']['extend'] = str_replace('fop;', 'fop;{revolutionslider_legend},revolutionsliders,revolutionslidersp,revolutionslider_slides,revolutionslider_slidesp;', $GLOBALS['TL_DCA']['tl_user']['palettes']['extend']);
$GLOBALS['TL_DCA']['tl_user']['palettes']['custom'] = str_replace('fop;', 'fop;{revolutionslider_legend},revolutionsliders,revolutionslidersp,revolutionslider_slides,revolutionslider_slidesp;', $GLOBALS['TL_DCA']['tl_user']['palettes']['custom']);


/**
 * Add fields to tl_user_group
 */
$GLOBALS['TL_DCA']['tl_user']['fields']['revolutionsliders'] = array
(
	'label'                   => &$GLOBALS['TL_LANG']['tl_user']['revolutionsliders'],
	'exclude'                 => true,
	'inputType'               => 'checkbox',
	'foreignKey'              => 'tl_revolutionslider.title',
	'eval'                    => array('multiple'=>true,'submitOnChange'=>true),
	'sql'                     => "blob NULL"
);

$GLOBALS['TL_DCA']['tl_user']['fields']['revolutionslidersp'] = array
(
	'label'                   => &$GLOBALS['TL_LANG']['tl_user']['revolutionslidersp'],
	'exclude'                 => true,
	'inputType'               => 'checkbox',
	'options'                 => array('create','delete'),
	'reference'               => &$GLOBALS['TL_LANG']['MSC'],
	'eval'                    => array('multiple'=>true,'tl_class'=>'clr'),
	'sql'                     => "blob NULL"
);

$GLOBALS['TL_DCA']['tl_user']['fields']['revolutionslider_slides'] = array
(
	'label'                   => &$GLOBALS['TL_LANG']['tl_user']['revolutionslider_slides'],
	'exclude'                 => true,
	'inputType'               => 'checkbox',
	'options_callback'		  => array('RevolutionSlider\Backend\TableUserGroup','getSlides'),
	'eval'                    => array('multiple'=>true,'tl_class'=>'clr'),
	'sql'                     => "blob NULL"
);

$GLOBALS['TL_DCA']['tl_user']['fields']['revolutionslider_slidesp'] = array
(
	'label'                   => &$GLOBALS['TL_LANG']['tl_user']['revolutionslider_slidesp'],
	'exclude'                 => true,
	'inputType'               => 'checkbox',
	'options'                 => array('create', 'delete'),
	'reference'               => &$GLOBALS['TL_LANG']['MSC'],
	'eval'                    => array('multiple'=>true,'tl_class'=>'clr'),
	'sql'                     => "blob NULL"
);
