<?php

/**
 * Contao Open Source CMS
 * 
 * Copyright (C) 2005-2013 Leo Feyer
 * 
 * @copyright	Tim Gatzky 2019
 * @author		Tim Gatzky <info@tim-gatzky.de>
 * @package		pct_theme_settings
 * @link		http://contao.org
 */
 

/**
 * Namespace
 */
namespace PCT\ThemeSettings\Backend;

/**
 * Class file
 * TableArticle
 */
class TableArticle extends \Contao\Backend
{
	/**
	 * Save the uuid instead of file path
	 * @var string
	 * @var object
	 * @return string
	 */
	public function saveUuidFromPath($varValue, $objDC)
	{
		$objFile = \Contao\FilesModel::findByPath($varValue);
		if( $objFile === null )
		{
			return $varValue;
		}
		return \Contao\StringUtil::binToUuid( $objFile->uuid );
	}


	/**
	 * Load the file path from the uuid
	 * @var string
	 * @var object
	 * @return string
	 */
	public function loadPathFromUuid($varValue, $objDC)
	{
		$objFile = \Contao\FilesModel::findByPk($varValue);
		if( $objFile === null )
		{
			return $varValue;
		}
		return $objFile->path;
	}
}