<?php

/**
 * Contao Open Source CMS
 *
 * Copyright (C) 2005-2013 Leo Feyer
 *
 * @copyright	Tim Gatzky 2019
 * @author		Tim Gatzky <info@tim-gatzky.de>
 * @package		pct_theme_settings
 * @link		http://contao.org
 */

/**
 * Constants
 */
define('PCT_THEME_SETTINGS_VERSION', '1.2.5');

/**
 * Globals
 */
$GLOBALS['PCT_THEME_SETTINGS']['newslist_order'] 				= array('sorting','author','date');
$GLOBALS['PCT_THEME_SETTINGS']['padding_top_classes'] 			= array('article-pt','article-pt-0','article-pt-xxs','article-pt-xs','article-pt-s','article-pt-m','article-pt-l','article-pt-xl','article-pt-xxl');
$GLOBALS['PCT_THEME_SETTINGS']['padding_bottom_classes'] 		= array('article-pb','article-pb-0','article-pb-xxs','article-pb-xs','article-pb-s','article-pb-m','article-pb-l','article-pb-xl','article-pb-xxl');
$GLOBALS['PCT_THEME_SETTINGS']['bgcolor_classes']				= array('bg-accent','bg-second','bg-gray','bg-white','bg-black');
$GLOBALS['PCT_THEME_SETTINGS']['article_bgcolor_classes'] 		= array('article-bg-accent','article-bg-second','article-bg-gray');
$GLOBALS['PCT_THEME_SETTINGS']['width_classes'] 				= array('fullwidth-boxed','fullwidth-boxed-medium','fullwidth-boxed-small','fullwidth','boxed');
$GLOBALS['PCT_THEME_SETTINGS']['bgposition_classes'] 			= array('bg-left-top', 'bg-left-center', 'bg-left-bottom', 'bg-center-top', 'bg-center-center', 'bg-center-bottom', 'bg-right-top', 'bg-right-center', 'bg-right-bottom','parallax');
$GLOBALS['PCT_THEME_SETTINGS']['ol_position_classes'] 			= array('ol-top','ol-right','ol-bottom','ol-left');
$GLOBALS['PCT_THEME_SETTINGS']['ol_width_classes'] 				= array('ol-w100','ol-w75','ol-w50','ol-w25');
$GLOBALS['PCT_THEME_SETTINGS']['ol_opacity_classes']			= array('ol-opacity-100','ol-opacity-90','ol-opacity-80','ol-opacity-70','ol-opacity-60','ol-opacity-50','ol-opacity-40','ol-opacity-30','ol-opacity-20','ol-opacity-10');
$GLOBALS['PCT_THEME_SETTINGS']['ol_bgcolor_css_classes'] 		= array('ol-bg-accent','ol-bg-second','ol-bg-gray','ol-bg-white','ol-bg-black');
$GLOBALS['PCT_THEME_SETTINGS']['align_classes']					= array('h-align-center','h-align-right');
$GLOBALS['PCT_THEME_SETTINGS']['align_classes::portfoliofilter']	= array('align-left','align-center','align-right');
$GLOBALS['PCT_THEME_SETTINGS']['style_classes']					= array('style1','style2');
$GLOBALS['PCT_THEME_SETTINGS']['style_classes::table']			= array('table-clean','table-striped','table-striped-dark');
$GLOBALS['PCT_THEME_SETTINGS']['style_classes::hyperlink']		= array('button','text');
$GLOBALS['PCT_THEME_SETTINGS']['style_classes::list']			= array('style2','style3');
$GLOBALS['PCT_THEME_SETTINGS']['style_classes::portfoliofilter']	= array('filter-style1','filter-style2');
$GLOBALS['PCT_THEME_SETTINGS']['color_classes']					= array('txt-color-accent','txt-color-second','txt-color-white','txt-color-gray');
$GLOBALS['PCT_THEME_SETTINGS']['color_classes::text']			= array('txt-color-accent','txt-color-second','txt-color-white','txt-color-gray');
$GLOBALS['PCT_THEME_SETTINGS']['color_classes::list']			= array('txt-color-accent','txt-color-second','txt-color-white','txt-color-gray');
$GLOBALS['PCT_THEME_SETTINGS']['color_classes::table']			= array('txt-color-accent','txt-color-second','txt-color-white','txt-color-gray');
$GLOBALS['PCT_THEME_SETTINGS']['color_classes::hyperlink']		= array('btn-accent','btn-accent-outline','btn-second','btn-second-outline','btn-white','btn-white-outline','btn-black','btn-black-outline','btn-gray','btn-gray-outline','btn-trnsp','btn-trnsp-white');
$GLOBALS['PCT_THEME_SETTINGS']['color_classes::portfoliofilter'] 	= array('txt-color-white');
$GLOBALS['PCT_THEME_SETTINGS']['color_classes::article'] 		= array('color-accent','color-second','color-gray','color-white');
$GLOBALS['PCT_THEME_SETTINGS']['border_classes']				= array('border-gray-1px','border-gray-5px','border-gray-10px','border-white-1px','border-white-5px','border-white-10px');
$GLOBALS['PCT_THEME_SETTINGS']['border_classes::hyperlink']		= array('btn-radius-3','btn-radius-5','btn-radius-10','btn-radius-20');
$GLOBALS['PCT_THEME_SETTINGS']['format_classes']				= array('format-p-small','format-p-large','h1','h2','h3','h4','h5','h6');
$GLOBALS['PCT_THEME_SETTINGS']['format_classes::hyperlink']		= array('btn-size-small','btn-size-medium','btn-size-large','btn-size-full');
$GLOBALS['PCT_THEME_SETTINGS']['content_width_classes'] 		= array('width-l','width-m','width-s');
$GLOBALS['PCT_THEME_SETTINGS']['layout_classes']				= array();
$GLOBALS['PCT_THEME_SETTINGS']['layout_classes::portfoliolist']	= array('portfolio-col1','portfolio-col2','portfolio-col3','portfolio-col4');
// merge with custom settings
if( !empty($GLOBALS['PCT_THEME_SETTINGS']['custom']) && is_array($GLOBALS['PCT_THEME_SETTINGS']['custom']) )
{
	$GLOBALS['PCT_THEME_SETTINGS'] = array_merge( $GLOBALS['PCT_THEME_SETTINGS'], $GLOBALS['PCT_THEME_SETTINGS']['custom'] );
}

// define which css fields relate to the type of content element
$GLOBALS['PCT_THEME_SETTINGS']['cssByType']['*'] 				= array();
$GLOBALS['PCT_THEME_SETTINGS']['cssByType']['text'] 			= array('align_css','color_css','format_css','width_css');
$GLOBALS['PCT_THEME_SETTINGS']['cssByType']['hyperlink'] 		= array('align_css','color_css','style_css','format_css','border_css');
$GLOBALS['PCT_THEME_SETTINGS']['cssByType']['headline'] 		= array('align_css','color_css','width_css');
$GLOBALS['PCT_THEME_SETTINGS']['cssByType']['accordionSingle'] 	= array('style_css');
$GLOBALS['PCT_THEME_SETTINGS']['cssByType']['accordionStart'] 	= array('style_css');
$GLOBALS['PCT_THEME_SETTINGS']['cssByType']['table'] 			= array('style_css');
$GLOBALS['PCT_THEME_SETTINGS']['cssByType']['image'] 			= array('align_css','border_css');
$GLOBALS['PCT_THEME_SETTINGS']['cssByType']['list'] 			= array('style_css','color_css');
$GLOBALS['PCT_THEME_SETTINGS']['cssByType']['table'] 			= array('style_css','color_css');
$GLOBALS['PCT_THEME_SETTINGS']['cssByType']['portfoliofilter']	= array('style_css','align_css','color_css');
$GLOBALS['PCT_THEME_SETTINGS']['cssByType']['portfoliolist']	= array('style_css','layout_css');
// custom templates by type
if(!isset($GLOBALS['PCT_THEME_SETTINGS']['templateByType']))
{
	$GLOBALS['PCT_THEME_SETTINGS']['templateByType']['headline_seo'] = 'ce_headline_seo';
	$GLOBALS['PCT_THEME_SETTINGS']['templateByType']['text_seo'] = 'ce_text_seo';
}
// fields
$GLOBALS['PCT_THEME_SETTINGS']['fields'] = array();


/**
 * Front end modules
 */
$GLOBALS['FE_MOD']['pct_theme_settings'] = array
(
	'pageimage' 	=> 'PCT\ThemeSettings\PageImage\Module',
	'pagearticle' 	=> 'PCT\ThemeSettings\PageArticle\Module',
	'privacy_in' 	=> 'PCT\ThemeSettings\Privacy\ModuleOptIn',
	'privacy_out' 	=> 'PCT\ThemeSettings\Privacy\ModuleOptOut',
	'portfoliolist'		=> 'PCT\ThemeSettings\Portfolio\ModuleList',
	'portfoliofilter'	=> 'PCT\ThemeSettings\Portfolio\ModuleFilter',
	'portfolioreader'	=> 'PCT\ThemeSettings\Portfolio\ModuleReader',
);


/**
 * Hooks
 */
$GLOBALS['TL_HOOKS']['compileArticle'][] 		= array('PCT\ThemeSettings\ContaoCallbacks','compileArticleCallback');
$GLOBALS['TL_HOOKS']['loadDataContainer'][] 	= array('PCT\ThemeSettings\ContaoCallbacks','enableManualSorting');
$GLOBALS['TL_HOOKS']['replaceInsertTags'][] 	= array('PCT\ThemeSettings\ContaoCallbacks','replaceInsertTagsCallback');
$GLOBALS['TL_HOOKS']['newsListFetchItems'][] 	= array('PCT\ThemeSettings\ContaoCallbacks','newsListFetchItemsCallback');
$GLOBALS['TL_HOOKS']['newsListCountItems'][] 	= array('PCT\ThemeSettings\ContaoCallbacks','newsListCountItemsCallback');
$GLOBALS['TL_HOOKS']['getContentElement'][] 	= array('PCT\ThemeSettings\ContaoCallbacks','getContentElementCallback');
$GLOBALS['TL_HOOKS']['parseTemplate'][] 		= array('PCT\ThemeSettings\ContaoCallbacks','parseTemplateCallback');
$GLOBALS['TL_HOOKS']['isVisibleElement'][] 		= array('PCT\ThemeSettings\ContaoCallbacks','isVisibleElementCallback');
