<?php

/**
 * Contao Open Source CMS
 *
 * Copyright (C) 2005-2019 Leo Feyer
 *
 * @copyright   Tim Gatzky 2019
 * @author      Tim Gatzky <info@tim-gatzky.de>
 * @package     pct_theme_settings
 * @link        http://contao.org
 */


/**
 * Load language files
 */
\Contao\System::loadLanguageFile('dca_theme_settings');


/**
 * Config
 */
$GLOBALS['TL_DCA']['tl_content']['config']['onload_callback'][] = array('PCT\ThemeSettings\Backend\TableContent', 'modifyDca');


/**
 * Palettes
 */
$GLOBALS['TL_DCA']['tl_content']['palettes']['text'] = str_replace('text;', 'text,align_css,color_css,format_css,width_css,seo;', $GLOBALS['TL_DCA']['tl_content']['palettes']['text']);
$GLOBALS['TL_DCA']['tl_content']['palettes']['headline'] = str_replace('headline', 'headline,align_css,color_css,width_css,seo;', $GLOBALS['TL_DCA']['tl_content']['palettes']['headline']);
$GLOBALS['TL_DCA']['tl_content']['palettes']['hyperlink'] = str_replace('rel', 'rel,align_css,color_css,border_css,format_css;', $GLOBALS['TL_DCA']['tl_content']['palettes']['hyperlink']);
$GLOBALS['TL_DCA']['tl_content']['palettes']['accordionSingle'] = str_replace('mooClasses', 'mooClasses,style_css;', $GLOBALS['TL_DCA']['tl_content']['palettes']['accordionSingle']);
$GLOBALS['TL_DCA']['tl_content']['palettes']['accordionStart'] = str_replace('mooClasses', 'mooClasses,style_css;', $GLOBALS['TL_DCA']['tl_content']['palettes']['accordionStart']);
$GLOBALS['TL_DCA']['tl_content']['palettes']['list'] = str_replace('listtype', 'listtype,style_css,color_css', $GLOBALS['TL_DCA']['tl_content']['palettes']['list']);
$GLOBALS['TL_DCA']['tl_content']['palettes']['table'] = str_replace('tleft', 'tleft,style_css,color_css;', $GLOBALS['TL_DCA']['tl_content']['palettes']['table']);
$GLOBALS['TL_DCA']['tl_content']['palettes']['autogridColStart'] = str_replace('autogrid_padding;', 'autogrid_padding,color_css,bgcolor_css;', $GLOBALS['TL_DCA']['tl_content']['palettes']['autogridColStart']);

// 3.5 image
if(version_compare(VERSION, '3.5', '<='))
{
	$GLOBALS['TL_DCA']['tl_content']['palettes']['image'] = str_replace('caption', 'caption,align_css,border_css;', $GLOBALS['TL_DCA']['tl_content']['palettes']['image']);
}
else
{
	$GLOBALS['TL_DCA']['tl_content']['palettes']['image'] = str_replace('overwriteMeta', 'overwriteMeta,align_css,border_css;', $GLOBALS['TL_DCA']['tl_content']['palettes']['image']);
}


/**
 * Fields
 */
\array_insert($GLOBALS['TL_DCA']['tl_content']['fields'], 0, $GLOBALS['PCT_THEME_SETTINGS']['fields']);
\array_insert($GLOBALS['TL_DCA']['tl_content']['fields'], 0, array
(
	'align_css'    => array
	(
		'label'                   => &$GLOBALS['TL_LANG']['dca_theme_settings']['align_css'],
		'inputType'               => 'select',
		'options'				  => $GLOBALS['PCT_THEME_SETTINGS']['align_classes'],
		'reference'				  => &$GLOBALS['TL_LANG']['dca_theme_settings']['align_css'],
		'eval'                    => array('includeBlankOption'=>true, 'tl_class'=>'w50'),
		'sql'                     => "varchar(32) NOT NULL default ''"
	),
	'color_css'    => array
	(
		'label'                   => &$GLOBALS['TL_LANG']['dca_theme_settings']['color_css'],
		'inputType'               => 'select',
		'options'				  => $GLOBALS['PCT_THEME_SETTINGS']['color_classes'],
		'reference'				  => &$GLOBALS['TL_LANG']['dca_theme_settings']['color_css'],
		'eval'                    => array('includeBlankOption'=>true, 'tl_class'=>'w50'),
		'sql'                     => "varchar(32) NOT NULL default ''"
	),
	'bgcolor_css'    => array
	(
		'label'                   => &$GLOBALS['TL_LANG']['dca_theme_settings']['bgcolor_css'],
		'inputType'               => 'select',
		'options'				  => $GLOBALS['PCT_THEME_SETTINGS']['bgcolor_classes'],
		'reference'				  => &$GLOBALS['TL_LANG']['dca_theme_settings']['values'],
		'eval'                    => array('includeBlankOption'=>true, 'tl_class'=>'w50'),
		'sql'                     => "varchar(32) NOT NULL default ''"
	),
	'border_css'    => array
	(
		'label'                   => &$GLOBALS['TL_LANG']['dca_theme_settings']['border_css'],
		'inputType'               => 'select',
		'options'				  => $GLOBALS['PCT_THEME_SETTINGS']['border_classes'],
		'reference'				  => &$GLOBALS['TL_LANG']['dca_theme_settings']['border_css'],
		'eval'                    => array('includeBlankOption'=>true, 'tl_class'=>'w50'),
		'sql'                     => "varchar(32) NOT NULL default ''"
	),
	'style_css'    => array
	(
		'label'                   => &$GLOBALS['TL_LANG']['dca_theme_settings']['style_css'],
		'inputType'               => 'select',
		'options'				  => $GLOBALS['PCT_THEME_SETTINGS']['style_classes'],
		'reference'				  => &$GLOBALS['TL_LANG']['dca_theme_settings']['style_css'],
		'eval'                    => array('includeBlankOption'=>true, 'tl_class'=>'w50'),
		'sql'                     => "varchar(32) NOT NULL default ''"
	),
	'format_css'    => array
	(
		'label'                   => &$GLOBALS['TL_LANG']['dca_theme_settings']['format_css'],
		'inputType'               => 'select',
		'options'				  => $GLOBALS['PCT_THEME_SETTINGS']['format_classes'],
		'reference'				  => &$GLOBALS['TL_LANG']['dca_theme_settings']['format_css'],
		'eval'                    => array('includeBlankOption'=>true, 'tl_class'=>'w50'),
		'sql'                     => "varchar(32) NOT NULL default ''"
	),
	'width_css'    => array
	(
		'label'                   => &$GLOBALS['TL_LANG']['dca_theme_settings']['width_css'],
		'inputType'               => 'select',
		'options'				  => $GLOBALS['PCT_THEME_SETTINGS']['content_width_classes'],
		'reference'				  => &$GLOBALS['TL_LANG']['dca_theme_settings']['width_css'],
		'eval'                    => array('includeBlankOption'=>true, 'tl_class'=>'w50'),
		'sql'                     => "varchar(16) NOT NULL default ''"
	),
	'seo'    => array
	(
		'label'                   => &$GLOBALS['TL_LANG']['dca_theme_settings']['seo'],
		'inputType'               => 'checkbox',
		'eval'                    => array('tl_class'=>'clr'),
		'sql'                     => "char(1) NOT NULL default ''"
	)
));
