<?php

/**
 * Contao Open Source CMS
 *
 * Copyright (c) 2005-2013 Leo Feyer
 *
 * @package pct_autogrid
 * @link    https://contao.org
 * @license http://www.gnu.org/licenses/lgpl-3.0.html LGPL
 */
 
/**
 * Register the namespaces
 */
ClassLoader::addNamespaces(array
(
	'PCT',
));


/**
 * Register the classes
 */
ClassLoader::addClasses(array
(
	// Themer
	'PCT\Themer' 							=> 'system/modules/pct_themer/PCT/Themer.php',
	'PCT\Themer\Import' 					=> 'system/modules/pct_themer/PCT/Themer/Import.php',
	'PCT\Themer\Export' 					=> 'system/modules/pct_themer/PCT/Themer/Export.php',
	'PCT\Themer\Backend' 					=> 'system/modules/pct_themer/PCT/Themer/Backend.php',
	// DemoInstaller
	'PCT\Themer\DemoInstaller'				=> 'system/modules/pct_themer/PCT/Themer/DemoInstaller.php',
	
	// ThemeDesigner
	'PCT\ThemeDesigner' 					=> 'system/modules/pct_themer/PCT/ThemeDesigner.php',
	'PCT\ThemeDesigner\Navigation'			=> 'system/modules/pct_themer/PCT/ThemeDesigner/Navigation.php',
	'PCT\ThemeDesigner\Section'				=> 'system/modules/pct_themer/PCT/ThemeDesigner/Section.php',
	'PCT\ThemeDesigner\Quickinfo' 			=> 'system/modules/pct_themer/PCT/ThemeDesigner/Quickinfo.php',
	'PCT\ThemeDesigner\Versions'			=> 'system/modules/pct_themer/PCT/ThemeDesigner/Versions.php',
	'PCT\ThemeDesigner\Model'				=> 'system/modules/pct_themer/PCT/ThemeDesigner/Model.php',
	'PCT\ThemeDesigner\InsertTags'			=> 'system/modules/pct_themer/PCT/ThemeDesigner/InsertTags.php',
	'PCT\ThemeDesigner\Backend' 			=> 'system/modules/pct_themer/PCT/ThemeDesigner/Backend.php',
	'PCT\ThemeDesigner\Frontend' 			=> 'system/modules/pct_themer/PCT/ThemeDesigner/Frontend.php',
));

/**
 * Register the templates
 */
TemplateLoader::addFiles(array
(
	'be_page_pct_theme_export'				=> 'system/modules/pct_themer/templates/backend',
	'be_pct_demoinstaller'					=> 'system/modules/pct_themer/templates/backend',
	'themedesigner'							=> 'system/modules/pct_themer/templates/themedesigner',
	'themedesigner_quickinfo'				=> 'system/modules/pct_themer/templates/themedesigner',
	
	'js_themedesigner'						=> 'system/modules/pct_themer/templates/themedesigner/js',
	'js_themedesigner_selector'				=> 'system/modules/pct_themer/templates/themedesigner/js',
	'js_themedesigner_iframe_helper'		=> 'system/modules/pct_themer/templates/themedesigner/js',
	'js_themedesigner_webfonts_optin'		=> 'system/modules/pct_themer/templates/themedesigner/js',
	'js_stylesheet'							=> 'system/modules/pct_themer/templates/themedesigner/js',

	'fe_page_themedesigner'					=> 'system/modules/pct_themer/templates/themedesigner',
	'td_nav'								=> 'system/modules/pct_themer/templates/themedesigner',
	'td_section'							=> 'system/modules/pct_themer/templates/themedesigner',
	'td_versions_form'						=> 'system/modules/pct_themer/templates/themedesigner',
	'td_devices_and_zoom'					=> 'system/modules/pct_themer/templates/themedesigner',

	// css constructor
	'stylesheet'							=> 'system/modules/pct_themer/templates/themedesigner/css',
	
	// form fields
	'td_form_checkbox_single'				=> 'system/modules/pct_themer/templates/themedesigner/forms',
	'td_form_select_fontpicker'				=> 'system/modules/pct_themer/templates/themedesigner/forms',
	'td_form_textfield_colorpicker'			=> 'system/modules/pct_themer/templates/themedesigner/forms',
	'td_form_textfield_slider'				=> 'system/modules/pct_themer/templates/themedesigner/forms',
	'td_form_upload_dropzone'				=> 'system/modules/pct_themer/templates/themedesigner/forms',
));
