<?php

/**
 * Contao Open Source CMS
 * 
 * Copyright (C) 2005-2013 Leo Feyer
 * 
 * @copyright	Tim Gatzky 2016, Premium Contao Themes
 * @author		Tim Gatzky <info@tim-gatzky.de>
 * @package		pct_themer
 */

/**
 * Constants
 */
define('PCT_THEMER_VERSION', '3.4.0');
define('PCT_THEMER_PATH','system/modules/pct_themer');


/**
 * Globals
 */
$GLOBALS['PCT_THEMER']['fileLogic'] = 'demo_%s'; // e.g. demo_minimalist
$GLOBALS['PCT_THEMER']['appendTitle'] = ''; //  [imported by %s (%s)]
$GLOBALS['PCT_THEMER']['defaultLayout'] = 'Content-Page - Full Width';
if(!is_array($GLOBALS['PCT_THEMER']['THEMES']))
{
	$GLOBALS['PCT_THEMER']['THEMES'] 	= array();
}
$GLOBALS['PCT_THEMER']['multiSRC_fields'] = array('multiSRC'); // blob value fields that contain binary data
$GLOBALS['PCT_THEMER']['singleJumpTo_fields'] = array('jumpTo','customcatalog_jumpTo','reg_jumpTo'); // relink single pages 
$GLOBALS['PCT_THEMER']['multiJumpTo_fields'] = array('pages'); // relink multiple page selections
// ThemeDesigner
$GLOBALS['PCT_THEMEDESIGNER_CSS_FILENAME'] = '%s_%s'; // logic: versionname_timestamp (optional:)_demo-name
$GLOBALS['PCT_THEMEDESIGNER_CSS_FILE'] = 'files/cto_layout/themedesigner/css/%s.css';
$GLOBALS['PCT_THEMEDESIGNER']['maxFileSize'] = 3000000; // byte
$GLOBALS['PCT_THEMEDESIGNER']['allowedUploadTypes'] = 'jpg,jpeg,gif,png,svg,gif';
$GLOBALS['PCT_THEMEDESIGNER']['uploadFolder']	 = 'files/cto_layout/themedesigner/uploads';
$GLOBALS['PCT_THEMEDESIGNER']['bypassServerCache'] = true;
$GLOBALS['PCT_THEMEDESIGNER']['CSS'] = PCT_THEMER_PATH.'/assets/css/themedesigner.css';
$GLOBALS['PCT_THEMEDESIGNER']['useFlatSelectors'] = true;
$GLOBALS['PCT_THEMEDESIGNER']['startSection'] = 'LOGO';
if(!is_array($GLOBALS['PCT_THEMEDESIGNER']['fonts']))
{
	$GLOBALS['PCT_THEMEDESIGNER']['fonts'] = array();
}
$GLOBALS['PCT_THEMEDESIGNER']['fontPickerStyleIdent'] = '_style';
$GLOBALS['PCT_THEMEDESIGNER']['fontPickerWeightIdent'] = '_weight';
$GLOBALS['PCT_THEMEDESIGNER']['useIframe'] = true;
$GLOBALS['PCT_THEMEDESIGNER']['showFieldsWithNoDevice'] = true; // show or hide fields that have no device definced in config by default
$GLOBALS['PCT_THEMEDESIGNER']['showNaviWithNoDevice'] = true; // show or hide fields elements that have no device defined in config
$GLOBALS['PCT_THEMEDESIGNER']['showPaletteWithNoDevice'] = true; // show or hide fields elements that have no device defined in config

$GLOBALS['PCT_THEMEDESIGNER']['ajaxUrl'] = PCT_THEMER_PATH.'/assets/html/themedesigner.php';
if(!isset($GLOBALS['PCT_THEMEDESIGNER']['demoMode']))
{
	$GLOBALS['PCT_THEMEDESIGNER']['demoMode'] = false;
}
if(!is_array($GLOBALS['PCT_THEMEDESIGNER']['excludes']))
{
	$GLOBALS['PCT_THEMEDESIGNER']['excludes'] = array('eclipse_intro'); // exclude pages by id or by theme 
}
if(!isset($GLOBALS['PCT_THEMEDESIGNER']['privacy_session_name']))
{
	$GLOBALS['PCT_THEMEDESIGNER']['privacy_session_name'] = 'user_privacy_settings';
}


/**
 * Register backend page / key
 */
// Themer
$GLOBALS['BE_MOD']['design']['page']['theme_export'] = array('PCT\Themer\Backend', 'exportTheme');
// ThemerDesigner
$GLOBALS['BE_MOD']['design']['pct_themedesigner'] = array
(
	'tables' => array('tl_pct_themedesigner'),
	'icon'	 => PCT_THEMER_PATH.'/assets/img/icon.gif',
	'stylesheet' => PCT_THEMER_PATH.'/assets/css/be_styles.css',
);
// ThemerDesigner
$GLOBALS['BE_MOD']['design']['pct_demoinstaller'] = array
(
	'callback'   	=> 'PCT\Themer\DemoInstaller',
	'icon'	 		=> PCT_THEMER_PATH.'/assets/img/icon_demoinstaller.gif',
	'stylesheet' 	=> PCT_THEMER_PATH.'/assets/css/be_styles.css',
);

/**
 * Hooks
 */ 
// Themer
$GLOBALS['TL_HOOKS']['generatePage'][] 			= array('PCT\Themer','addThemeFiles');
$GLOBALS['TL_HOOKS']['getPageLayout'][] 		= array('PCT\Themer','addThemeFonts');

// ThemeDesigner
if(isset($GLOBALS['TL_CONFIG']['licenseAccepted']) && (boolean)\Contao\Database::getInstance()->tableExists('tl_image_size') === true && ( (boolean)\Contao\Config::get('pct_themedesigner_off') === false || (boolean)\Contao\Config::get('pct_themedesigner_hidden') === false ) )
{
	// define Theme Designer active constant
	define('THEMEDESIGNER_ACTIVE',1);
	
	#$GLOBALS['TL_HOOKS']['getPageIdFromUrl'][]		= array('PCT\ThemeDesigner\Frontend','getPageIdFromUrlCallback');
	$GLOBALS['TL_HOOKS']['generateFrontendUrl'][]  	= array('PCT\ThemeDesigner\Frontend','generateFrontendUrlCallback');
	$GLOBALS['TL_HOOKS']['getPageLayout'][] 		= array('PCT\ThemeDesigner','loadConfig');
	$GLOBALS['TL_HOOKS']['getPageLayout'][] 		= array('PCT\ThemeDesigner','addFonts');
	$GLOBALS['TL_HOOKS']['generatePage'][] 			= array('PCT\ThemeDesigner','addToTemplate');
	$GLOBALS['TL_HOOKS']['generatePage'][] 			= array('PCT\ThemeDesigner','ajaxListener');
	$GLOBALS['TL_HOOKS']['generatePage'][] 			= array('PCT\ThemeDesigner','addFontsOptin');
	$GLOBALS['TL_HOOKS']['generatePage'][] 			= array('PCT\ThemeDesigner\Versions','formListener');
	$GLOBALS['TL_HOOKS']['replaceInsertTags'][] 	= array('PCT\ThemeDesigner\InsertTags','replaceTags');
	$GLOBALS['TL_HOOKS']['generatePage'][] 			= array('PCT\ThemeDesigner','formListener');
	
	if(TL_MODE == 'BE')
	{
		$GLOBALS['TL_HOOKS']['initializeSystem'][] 		= array('PCT\ThemeDesigner\Backend','removeIframeSession');
		$GLOBALS['TL_HOOKS']['getSystemMessages'][] 	= array('PCT\ThemeDesigner\Backend','isActiveMessage');
		$GLOBALS['TL_HOOKS']['parseTemplate'][] 		= array('PCT\ThemeDesigner\Backend','injectIsActiveMessageInBackendPage');
	}
	
	// load iframe layout only when TD is visible
	if((boolean)\Contao\Config::get('pct_themedesigner_hidden') === false)
	{
		$GLOBALS['TL_HOOKS']['generatePage'][]			= array('PCT\ThemeDesigner\Frontend','bypassContaoPreview');
		$GLOBALS['TL_HOOKS']['getPageLayout'][] 		= array('PCT\ThemeDesigner','setLayoutTemplate');
	}
	
	if(\Contao\Input::get('themedesigner_iframe'))
	{
		\Contao\Config::set('debugMode',false);
	}
}


/**
 * Register models
 */
$GLOBALS['TL_MODELS']['tl_pct_themedesigner'] 	= 'PCT\ThemeDesigner\Model';


/**
 * Register theme demos 
 */
$GLOBALS['PCT_THEMER']['THEMES']['eclipse_intro'] = array
(
	'label'			=> 'Intro',
	'css'            => array('layout.css|static'),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_default'] = array
(
	'label'			=> 'Default',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
#	'thumb'			=> PCT_THEMER_PATH.'/assets/img/demoinstaller',
	'installer'	=> false,
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_minimalist'] = array
(
	'label'			=> 'Minimalist',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business','creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_upside'] = array
(
	'label'			=> 'Upside',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_constructor'] = array
(
	'label'			=> 'Constructor',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_chef'] = array
(
	'label'			=> 'Chef',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_agenzy'] = array
(
	'label'			=> 'Agenzy',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business','portfolio'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_finance'] = array
(
	'label'			=> 'Finance',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_flatbiz'] = array
(
	'label'			=> 'Flatbiz',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_selectist'] = array
(
	'label'			=> 'Selectist',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('portfolio'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_photographer'] = array
(
	'label'			=> 'Photographer',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('portfolio','creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_skyfall'] = array
(
	'label'			=> 'Skyfall',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_archit'] = array
(
	'label'			=> 'Archit',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'category'		=> array('business','creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_transporter'] = array
(
	'label'			=> 'Transporter',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_magazine'] = array
(
	'label'			=> 'Magazine',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('blog'),
	'layout'		=> 'Content-Page - Sidebar right',
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_studio'] = array
(
	'label'			=> 'Studio',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('portfolio','creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_titanum'] = array
(
	'label'			=> 'Titanum',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_universe'] = array
(
	'label'			=> 'Universe',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_seomatic'] = array
(
	'label'			=> 'Seomatic',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_medical'] = array
(
	'label'			=> 'Medical',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_resort'] = array
(
	'label'			=> 'Resort',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_company'] = array
(
	'label'			=> 'Company',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_lawyer'] = array
(
	'label'			=> 'Lawyer',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_sportclub'] = array
(
	'label'			=> 'Sportclub',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_clearsay'] = array
(
	'label'			=> 'Clearsay',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_fitness'] = array
(
	'label'			=> 'Fitness',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_bachelor'] = array
(
	'label'			=> 'Bachelor',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_creative'] = array
(
	'label'			=> 'Creative',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_photo'] = array
(
	'label'			=> 'Photo',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('portfolio','creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_projecta'] = array
(
	'label'			=> 'Projecta',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_blogiq'] = array
(
	'label'			=> 'Blogiq',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('blog'),
	'layout'		=> 'Content-Page - Sidebar right',
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_frame'] = array
(
	'label'			=> 'Frame',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_coach'] = array
(
	'label'			=> 'Coach',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_advisor'] = array
(
	'label'			=> 'Advisor',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_planner'] = array
(
	'label'			=> 'Planner',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_interior'] = array
(
	'label'			=> 'Interior',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_fashion'] = array
(
	'label'			=> 'Fashion',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other','creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_smartbiz'] = array
(
	'label'			=> 'SmartBiz',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_charity'] = array
(
	'label'			=> 'Charity',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_cleaner'] = array
(
	'label'			=> 'Cleaner',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business','other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_hotel'] = array
(
	'label'			=> 'Hotel',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_portfolio'] = array
(
	'label'			=> 'Portfolio',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'category'		=> array('portfolio'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_software'] = array
(
	'label'			=> 'Software',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_energy'] = array
(
	'label'			=> 'Energy',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_masonry'] = array
(
	'label'			=> 'Masonry',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('portfolio','creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_automobile'] = array
(
	'label'			=> 'Automobile',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_carpenter'] = array
(
	'label'			=> 'Carpenter',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_personal'] = array
(
	'label'			=> 'Personal',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('portfolio','creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_cosmetica'] = array
(
	'label'			=> 'Cosmetica',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other','creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_parallax'] = array
(
	'label'			=> 'Parallax',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_kids'] = array
(
	'label'			=> 'Kids',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_designer'] = array
(
	'label'			=> 'Designer',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('portfolio','creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_micropage'] = array
(
	'label'			=> 'Micropage',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_micropagetwo'] = array
(
	'label'			=> 'Micropage Two',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_business'] = array
(
	'label'			=> 'Business',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_taxhelp'] = array
(
	'label'			=> 'Taxhelp',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_journal'] = array
(
	'label'			=> 'Journal',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('blog','creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_event'] = array
(
	'label'			=> 'Event',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_plumber'] = array
(
	'label'			=> 'Plumber',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other','creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_musicalian'] = array
(
	'label'			=> 'Musicalian',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_author'] = array
(
	'label'			=> 'Author',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business','other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_hoster'] = array
(
	'label'			=> 'Hoster',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_restaurant'] = array
(
	'label'			=> 'Restaurant',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other','onepage'),
	'layout'		=> 'One-Page',
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_appify'] = array
(
	'label'			=> 'Appify',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('onepage'),
	'layout'		=> 'One-Page',
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_onepager'] = array
(
	'label'			=> 'Onepager',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business','onepage'),
	'layout'		=> 'One-Page',
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_sorento'] = array
(
	'label'			=> 'Sorento',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('onepage','creative'),
	'layout'		=> 'One-Page',
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_immorealty'] = array
(
	'label'			=> 'Immo-Realty',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'installer'	=> false,
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_cardealer'] = array
(
	'label'			=> 'Cardealer',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'installer'	=> false,
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_catalog'] = array
(
	'label'			=> 'Catalog',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'installer'	=> false, 
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_accommodation'] = array
(
	'label'			=> 'Accommodation',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
	'installer'	=> false,
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_coming_soon'] = array
(
	'label'			=> 'Coming Soon',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_softsquare'] = array
(
	'label'			=> 'Softsquare',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_dental'] = array
(
	'label'			=> 'Dental',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_penthouse'] = array
(
	'label'			=> 'Penthouse',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other','creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_smallimmo'] = array
(
	'label'			=> 'Small-Immo',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business','other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_smallagency'] = array
(
	'label'			=> 'Small-Agency',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'category'		=> array('business','portfolio'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_translogic'] = array
(
	'label'			=> 'Translogic',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_corporate'] = array
(
	'label'			=> 'Corporate',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_callcenter'] = array
(
	'label'			=> 'Callcenter',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_businessious'] = array
(
	'label'			=> 'Businessious',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_landy'] = array
(
	'label'			=> 'Landy',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business','onepage'),
	'layout'		=> 'One-Page',
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_architectural'] = array
(
	'label'			=> 'Architectural',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_powerbiz'] = array
(
	'label'			=> 'Powerbiz',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_funeral'] = array
(
	'label'			=> 'Funeral',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_industrial'] = array
(
	'label'			=> 'Industrial',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_invest'] = array
(
	'label'			=> 'Invest',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_yoga'] = array
(
	'label'			=> 'Yoga',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_insurance'] = array
(
	'label'			=> 'Insurance',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_consultant'] = array
(
	'label'			=> 'Consultant',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_sporty'] = array
(
	'label'			=> 'Sporty',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_accountant'] = array
(
	'label'			=> 'Accountant',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_garden'] = array
(
	'label'			=> 'Garden',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'category'		=> array('other','creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_coffee'] = array
(
	'label'			=> 'Coffee',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'category'		=> array('other','creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_pictures'] = array
(
	'label'			=> 'Pictures',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'category'		=> array('creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_arc'] = array
(
	'label'			=> 'Arc',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'category'		=> array('business','creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_showcase'] = array
(
	'label'			=> 'Showcase',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'category'		=> array('business','creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_organic'] = array
(
	'label'			=> 'Organic',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other','creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_sanitary'] = array
(
	'label'			=> 'Sanitary',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_alphabiz'] = array
(
	'label'			=> 'AlphaBiz',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_taxi'] = array
(
	'label'			=> 'Taxi',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_onelaw'] = array
(
	'label'			=> 'Onelaw',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'category'		=> array('business','onepage'),
	'layout'		=> 'One-Page',
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_perfumes'] = array
(
	'label'			=> 'Perfumes',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'category'		=> array('business','creative','onepage'),
	'layout'		=> 'One-Page',
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_doctor'] = array
(
	'label'			=> 'Doctor',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_beauty'] = array
(
	'label'			=> 'Beauty',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'category'		=> array('other','creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_outdoor'] = array
(
	'label'			=> 'Outdoor',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_babypics'] = array
(
	'label'			=> 'Babypics',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'category'		=> array('business','creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_pizza'] = array
(
	'label'			=> 'Pizza',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_botox'] = array
(
	'label'			=> 'Botox',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_architlab'] = array
(
	'label'			=> 'Architlab',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'category'		=> array('creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_mall'] = array
(
	'label'			=> 'Mall',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_hotelpro'] = array
(
	'label'			=> 'Hotel Pro',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(), 
	'category'		=> array('business','other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_slimbiz'] = array
(
	'label'			=> 'SlimBiz',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_wedding'] = array
(
	'label'			=> 'Wedding',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other','onepage'),
	'layout'		=> 'One-Page',
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_nightclub'] = array
(
	'label'			=> 'Nightclub',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_optician'] = array
(
	'label'			=> 'Optician',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business','other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_trade'] = array
(
	'label'			=> 'Trade',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_bakery'] = array
(
	'label'			=> 'Bakery',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_advocate'] = array
(
	'label'			=> 'Advocate',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_coffeeshop'] = array
(
	'label'			=> 'Coffeeshop',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_contractor'] = array
(
	'label'			=> 'Contractor',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_kitchen'] = array
(
	'label'			=> 'Kitchen',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business','other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_automechanic'] = array
(
	'label'			=> 'Automechanic',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business','other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_retirement'] = array
(
	'label'			=> 'Retirement',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_petcare'] = array
(
	'label'			=> 'Petcare',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_onebiz'] = array
(
	'label'			=> 'OneBiz',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business','onepage'),
	'layout'		=> 'One-Page',
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_directory'] = array
(
	'label'			=> 'Directory',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'installer'	=> false,
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_physio'] = array
(
	'label'			=> 'Physio',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_cleanup'] = array
(
	'label'			=> 'Cleanup',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_electrician'] = array
(
	'label'			=> 'Electrician',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_steelwork'] = array
(
	'label'			=> 'Steelwork',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_cloudtel'] = array
(
	'label'			=> 'CloudTel',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_aperture'] = array
(
	'label'			=> 'Aperture',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('creative','portfolio'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_design'] = array
(
	'label'			=> 'Design',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('creative','portfolio'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_stylist'] = array
(
	'label'			=> 'Stylist',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_money'] = array
(
	'label'			=> 'Money',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_artfolio'] = array
(
	'label'			=> 'Artfolio',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('creative','portfolio'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_barber'] = array
(
	'label'			=> 'Barber',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_workingspace'] = array
(
	'label'			=> 'WorkingSpace',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_lingoo'] = array
(
	'label'			=> 'Lingoo',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_apartment'] = array
(
	'label'			=> 'Apartment',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_pursuit'] = array
(
	'label'			=> 'Pursuit',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_productline'] = array
(
	'label'			=> 'ProductLine',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_industrytech'] = array
(
	'label'			=> 'IndustryTech',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_constructionflex'] = array
(
	'label'			=> 'ConstructionFlex',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_insuranceking'] = array
(
	'label'			=> 'InsuranceKing',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_softsolutions'] = array
(
	'label'			=> 'SoftSolutions',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_credit'] = array
(
	'label'			=> 'Credit',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_wine'] = array
(
	'label'			=> 'Wine',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_woodwork'] = array
(
	'label'			=> 'Woodwork',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_ebusiness'] = array
(
	'label'			=> 'eBusiness',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business','other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_comingsoon_onepage'] = array
(
	'label'			=> 'Coming Soon Onepage',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('onepage'),
	'layout'		=> 'One-Page',
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_agencyline'] = array
(
	'label'			=> 'AgencyLine',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_hotelapart'] = array
(
	'label'			=> 'HotelApart',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
	'installer'	=> false,
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_decor'] = array
(
	'label'			=> 'Decor',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_buildr'] = array
(
	'label'			=> 'Buildr',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_redbusiness'] = array
(
	'label'			=> 'RedBusiness',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_diners'] = array
(
	'label'			=> 'Diners',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_corporateplus'] = array
(
	'label'			=> 'CorporatePlus',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_cowork'] = array
(
	'label'			=> 'CoWork',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_cupcakes'] = array
(
	'label'			=> 'CupCakes',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_productcatalog'] = array
(
	'label'			=> 'ProductCatalog',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
	'installer'	=> false,
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_phonestore'] = array
(
	'label'			=> 'PhoneStore',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_tailor'] = array
(
	'label'			=> 'Tailor',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_highbiz'] = array
(
	'label'			=> 'HighBiz',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_merchandiser'] = array
(
	'label'			=> 'Merchandiser',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_vintage'] = array
(
	'label'			=> 'Vintage',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_doctors'] = array
(
	'label'			=> 'Doctors',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_mybooks'] = array
(
	'label'			=> 'MyBooks',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_agency51'] = array
(
	'label'			=> 'Agency51',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_lesstext'] = array
(
	'label'			=> 'LessText',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_lesstexttwo'] = array
(
	'label'			=> 'LessTextTwo',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('onepage'),
	'layout'		=> 'One-Page: Horizontal Scrolling',
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_tavern'] = array
(
	'label'			=> 'Tavern',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_bluespa'] = array
(
	'label'			=> 'Bluespa',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_whiteone'] = array
(
	'label'			=> 'Whiteone',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('onepage'),
	'layout'		=> 'One-Page',
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_easyimmo'] = array
(
	'label'			=> 'EasyImmo',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_room'] = array
(
	'label'			=> 'Room',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_webworker'] = array
(
	'label'			=> 'Webworker',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('onepage'),
	'layout'		=> 'One-Page',
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_insurancegroup'] = array
(
	'label'			=> 'InsuranceGroup',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_artgallery'] = array
(
	'label'			=> 'Artgallery',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('creative'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_toys'] = array
(
	'label'			=> 'Toys',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_medicine'] = array
(
	'label'			=> 'Medicine',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('other'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_audit'] = array
(
	'label'			=> 'Audit',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_booklibrary'] = array
(
	'label'			=> 'Book Library',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'installer'	=> false,
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_musteragentur'] = array
(
	'label'			=> 'Musteragentur',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_xbuilder'] = array
(
	'label'			=> 'X-Builder',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_xbusiness'] = array
(
	'label'			=> 'X-Business',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_xstudio'] = array
(
	'label'			=> 'X-Studio',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_xindustry'] = array
(
	'label'			=> 'X-Industry',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_xinvestment'] = array
(
	'label'			=> 'X-Investment',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_xflowerstore'] = array
(
	'label'			=> 'X-Flowerstore',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);

$GLOBALS['PCT_THEMER']['THEMES']['eclipse_xbar'] = array
(
	'label'			=> 'X-Bar',
	'css'            => array(),
	'scripts'		=> array(),
	'googlefonts'	=> array(),
	'category'		=> array('business'),
);


// add templates to the TemplatesLoader
foreach($GLOBALS['PCT_THEMER']['THEMES'] as $strName => $arrData)
{
	$path = (strlen($arrData['template_path']) > 0 ? $arrData['template_path'] : 'system/modules/pct_themer/templates/eclipse');
	if(file_exists(TL_ROOT.'/'.$path.'/demo_'.$strName))
	{
		\Contao\TemplateLoader::addFiles(array('demo_'.$strName => $path));
	}
}